Debian Bug report logs - #506410
live-initramfs: error "umount /live/cow device is busy" during shutdown from persistent mode

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: carsten <xxj39@web.de>

Date: Fri, 21 Nov 2008 09:06:09 UTC

Severity: important

Found in version live-initramfs/1.139.1-4

Fixed in version live-initramfs/1.157.1-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, xxj39@web.de, Debian Live <debian-live@lists.debian.org>:
Bug#506410; Package live-initramfs. (Fri, 21 Nov 2008 09:06:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to carsten <xxj39@web.de>:
New Bug report received and forwarded. Copy sent to xxj39@web.de, Debian Live <debian-live@lists.debian.org>. (Fri, 21 Nov 2008 09:06:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: carsten <xxj39@web.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-initramfs: error "umount /live/cow device is busy" during shutdown from persistent mode
Date: Fri, 21 Nov 2008 10:01:50 +0100
Package: live-initramfs
Version: 1.139.1-4
Severity: important

while shutdown live system in persistent mode the error "umount 
/live/cow device is busy". After this the filesystem is not cleanly 
unmounted and fsck reports errors after each shutdown prozess.

I use the live-helper 1.0.1-1 in debian lenny - but with the new 
live-initramfs 1.139.1-4 because of BUG#500672. I just copied the 
live-initramfs debian-package from unstable 
to .../config/chroot_local_packages. It works fine while booting but 
makes the described problems during shutdown.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to de_DE.UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#506410; Package live-initramfs. (Thu, 05 Mar 2009 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Thu, 05 Mar 2009 15:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 506410@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 506410@bugs.debian.org
Subject: Re: live-initramfs: error "umount /live/cow device is busy" during shutdown from persistent mode
Date: Thu, 05 Mar 2009 16:39:06 +0100
tags 506410 +tags
thanks

fixed in git, will look that it gets into lenny point release.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Tags added: Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 05 Mar 2009 15:45:07 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 05 Mar 2009 16:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#506410; Package live-initramfs. (Thu, 05 Mar 2009 16:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <lamby@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Thu, 05 Mar 2009 16:15:02 GMT) Full text and rfc822 format available.

Message #19 received at 506410@bugs.debian.org (full text, mbox):

From: Chris Lamb <lamby@debian.org>
To: daniel@debian.org, 506410@bugs.debian.org
Cc: 506410@bugs.debian.org
Subject: Re: Bug#506410: live-initramfs: error "umount /live/cow device is busy" during shutdown from persistent mode
Date: Thu, 5 Mar 2009 16:11:19 +0000
[Message part 1 (text/plain, inline)]
tags 506410 +pending
thanks

> tags 506410 +tags

I don't think the BTS likes recursion as much as panthera.. :]


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      lamby@debian.org
       `-
[signature.asc (application/pgp-signature, attachment)]

Tags added: pending Request was from Chris Lamb <lamby@debian.org> to control@bugs.debian.org. (Thu, 05 Mar 2009 16:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#506410; Package live-initramfs. (Thu, 05 Mar 2009 16:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Thu, 05 Mar 2009 16:18:02 GMT) Full text and rfc822 format available.

Message #26 received at 506410@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Chris Lamb <lamby@debian.org>
Cc: 506410@bugs.debian.org
Subject: Re: Bug#506410: live-initramfs: error "umount /live/cow device is busy" during shutdown from persistent mode
Date: Thu, 05 Mar 2009 17:15:01 +0100
Chris Lamb wrote:
> I don't think the BTS likes recursion as much as panthera.. :]

haha

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sat, 21 Mar 2009 13:45:07 GMT) Full text and rfc822 format available.

Notification sent to carsten <xxj39@web.de>:
Bug acknowledged by developer. (Sat, 21 Mar 2009 13:45:07 GMT) Full text and rfc822 format available.

Message #31 received at 506410-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 506410-close@bugs.debian.org
Subject: Bug#506410: fixed in live-initramfs 1.157.1-1
Date: Sat, 21 Mar 2009 13:32:03 +0000
Source: live-initramfs
Source-Version: 1.157.1-1

We believe that the bug you reported is fixed in the latest version of
live-initramfs, which is due to be installed in the Debian FTP archive:

live-initramfs_1.157.1-1.diff.gz
  to pool/main/l/live-initramfs/live-initramfs_1.157.1-1.diff.gz
live-initramfs_1.157.1-1.dsc
  to pool/main/l/live-initramfs/live-initramfs_1.157.1-1.dsc
live-initramfs_1.157.1-1_all.deb
  to pool/main/l/live-initramfs/live-initramfs_1.157.1-1_all.deb
live-initramfs_1.157.1.orig.tar.gz
  to pool/main/l/live-initramfs/live-initramfs_1.157.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 506410@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-initramfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 21 Mar 2009 14:00:00 +0100
Source: live-initramfs
Binary: live-initramfs
Architecture: source all
Version: 1.157.1-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-initramfs - Debian Live initramfs hook
Closes: 506410 515718 516914 517153
Changes: 
 live-initramfs (1.157.1-1) unstable; urgency=medium
 .
   [ Daniel Baumann ]
   * Only snapshotting in initscript when we actually run with persistence.
 .
   [ Rene Mayrhofer ]
   * Checking if /var/log is writable before trying to copy live.log to the newly
     mounted root filesystem (Closes: #516914).
 .
   [ Daniel Baumann ]
   * Improving check in 21xdriver when we don't do anything.
   * Adding hack to remove live specific filesystems from umounfs initscript
     (Closes: #506410, #515718).
   * Adding comsetic line wrapping for output of local-gen messages during boot.
   * Merging casper 1.157.
   * Only calling install-keymap if it's actually installed, which is always but
     in minimal images the case though (Closes: #517153).
   * Adding silent boot parameter.
   * Respecting media timeout even when specificing media device manually.
   * Also allowing to use the removable keyword for specifying a live media.
   * Correcting accidental syntax error in one of the previous commits in
     19keyboard bottom script.
   * Adding removable-usb keyword to further restrict live media selection.
   * Correcting check for usb when using removable-usb keyword.
   * Correcting typo in locale bottom script.
Checksums-Sha1: 
 cfade38f96fec76923121be35e9693445a14e459 1301 live-initramfs_1.157.1-1.dsc
 bd7e777325c22e46b781b0c44c6162e3ddce613b 82029 live-initramfs_1.157.1.orig.tar.gz
 dc09620d3d2fe9ceec896922c056dde5f2d0bbc4 11386 live-initramfs_1.157.1-1.diff.gz
 5dc536ad3f9e6e9106595b9842dc6846075d4b38 90486 live-initramfs_1.157.1-1_all.deb
Checksums-Sha256: 
 f8b267ff18e770c1530dc7c4dbd4a7327a7304990d1f7f0038f7782fbc7c1507 1301 live-initramfs_1.157.1-1.dsc
 bbc7a115c87f70e3b0b7b200159d932ee2bc1bb583da746469f57cbdb240e97e 82029 live-initramfs_1.157.1.orig.tar.gz
 cb5ece7f7cfaafd84fd0df822bdbdc9c480d1ff9dec90b07fa2c54604410a5d5 11386 live-initramfs_1.157.1-1.diff.gz
 46e82da6e7bf694ee194b9d6083f85a3ae6b658c865407fcf6a603cdf20f7bb8 90486 live-initramfs_1.157.1-1_all.deb
Files: 
 a7fe5921be034e65625bbb162296e0b7 1301 misc optional live-initramfs_1.157.1-1.dsc
 8c24ca5bc39a62ffb9e9f20be115b2ca 82029 misc optional live-initramfs_1.157.1.orig.tar.gz
 9618dc2f179476f81ef889ac7259fcd6 11386 misc optional live-initramfs_1.157.1-1.diff.gz
 601a562ffd040d7ad4cc2bf45b379137 90486 misc optional live-initramfs_1.157.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknE6KwACgkQ+C5cwEsrK55wVwCg4PdMiJZijMpHsur8Sxj8Nieq
u3kAoN9KpPsPUg87RXQLmDaEfD84iasP
=gHnD
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 Apr 2009 07:26:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:16:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.